For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SalesGet Support
HomeGuidesAPI reference
HomeGuidesAPI reference
  • Middesk API
      • GETList documents for a business
      • GETGet a document
      • GETGet document download URL
LogoLogo
Contact SalesGet Support
Middesk APIDocuments

List documents for a business

GET
https://api.middesk.com/v1/businesses/:business_id/documents
GET
/v1/businesses/:business_id/documents
$curl https://api.middesk.com/v1/businesses/business_id/documents \
> -H "Authorization: Bearer <token>"
1{
2 "object": "list",
3 "data": [
4 {
5 "object": "document",
6 "id": "00000000-0000-0000-0000-000000000000",
7 "document_type": "Initial filing",
8 "filename": "certificate_of_good_standing.pdf",
9 "content_type": "application/pdf",
10 "size": 1234,
11 "download_url": "https://middesk.test/document.pdf?expires_in=10&special=false",
12 "created_at": "2024-01-15T12:00:00Z",
13 "source": {
14 "type": "registration",
15 "id": "00000000-0000-0000-0000-000000000001",
16 "metadata": {
17 "state": "CA",
18 "status": "active"
19 }
20 },
21 "metadata": {
22 "file_number": "12345"
23 }
24 }
25 ]
26}
Was this page helpful?
Previous

Get a document

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

business_idstringRequired
Business ID

Response

documents found
objectstring
datalist of objects

Errors

404
List Documents Request Not Found Error